Anonymous Login
2019-08-23 19:17 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001283v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reportercarlosazevedo 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001283: FIX: Permissions for an user are not shown on the 'View User' page
DescriptionThe fix is the following changes on the file 'vw_user_perms' in the 'admin' module directory :

        }
- if (!canView($mod_data['section_value'], $mod_data['value'])) {
+ if (!canView($mod_data['value'])) {
            continue;
          }

'</td>';
        $buf .= '<td nowrap="nowrap">';
- $canDelete = (canEdit('users') && canEdit($mod_data['section_value'], $mod_data['value']));
+ $canDelete = (canEdit('users') && canEdit($mod_data['value']));
        if ($canDelete) {
TagsNo tags attached.
Attached Files

-Relationships
related to 0001284closedcaseydk FIX: Unworkable user permissions. Related to 0001237 
+Relationships

-Notes

~0002931

caseydk (administrator)

Resolved very similar to the solution described in 0001284:
https://github.com/web2project/web2project/commit/112a100f9a814214f64c3f1ed6f0a399f54b98ea
+Notes

-Issue History
Date Modified Username Field Change
2013-03-05 07:57 carlosazevedo New Issue
2013-06-02 23:37 caseydk Relationship added related to 0001284
2013-06-02 23:46 caseydk Note Added: 0002931
2013-06-02 23:46 caseydk Status new => resolved
2013-06-02 23:46 caseydk Resolution open => fixed
2013-06-02 23:46 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History